@import url("https://fonts.googleapis.com/css2?family=Montserrat:wght@400;500;600;700&display=swap");
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
*,

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  list-style-type: none;
  text-decoration: none;
  font-family: 'Poppins', sans-serif;
}

body {
  scroll-snap-type: y mandatory;
}

body {
  opacity: 1;
  transition: opacity 0.4s ease;
}

body.fade-out {
  opacity: 0;
}

#loader {
  position: fixed;
  width: 100%;
  height: 100vh;
  background: #fffed4;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

#loader {
  transition: opacity 0.5s ease;
}

.spinner {
  width: 50px;
  height: 50px;
  border: 5px solid #eee;
  border-top: 5px solid #ff4800;
  border-radius: 50%;
  position: relative;
  margin-top: -20%;
  animation: spin 1s linear infinite;
  display: inline-block;
}

section, #slider {
  scroll-snap-align: start;
}



/* Header section */

header{
    width: 100%; 
    max-width: 100%;
    padding-left: 100px;
    height: 60px;
    display: flex;
    align-items: center;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1000;
    background-color: #fffed4;
}

header {
  transition: all 0.3s ease;
}

header.scrolled {
  background: rgba(255, 254, 212, 0.7);
  backdrop-filter: blur(10px);
  height: 50px;
}

header nav{
    display: flex;
    justify-content: space-between;
    max-width: 100vw;
    width: 100%;
    padding-right: 5%;
    top: 0;
    left: 0;
}

button {
  transition: all 0.3s ease;
}

button:hover {
  transform: scale(1.05);
  box-shadow: 0 10px 20px rgba(0,0,0,0.2);
}

button:active {
  transform: scale(0.95);
}

.prev, .next {
  transform: none !important;
  box-shadow: none !important;
}

.prev:hover,
.next:hover {
  transform: none !important;
  box-shadow: none !important;
}

.prev:hover,
.next:hover{
  background-color: #272727a8;
}

.navbar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

/* Logo */
.nav-logo h2 {
  color: #004221;
  font-size: 2rem;
}

/* Center menu */
.nav-links {
  display: flex;
  gap: 20px;
}

.nav-links a {
  color: #004221;
  font-weight: bold;
  font-size: 1.4rem;
  transition: 0.8s;
  margin-right: 5px;
  padding: 5px 10px;
  font-size: 10px;
  transition: 0.2s;
  text-decoration: none; 
  text-align: center;
}

.nav-links a:hover {
  background-color: #004221;
  color: #e0bf00;
  border-radius: 30px;
}

/* Right side */
.nav-actions {
  display: flex;
  align-items: center;
  gap: 15px;
}

.order-btn {
  padding: 8px 10px;
  font-size: 10px;
  background: var(--primary);
  border: none;
  color: #fff;
  cursor: pointer;
  border-radius: 30px;
  background-color: #ff4800;
}

.icon-cart{
    position: relative;
    cursor: pointer;
    transition: all 0.5s;
}

.icon-cart:hover{
    transform: scale(1.1);
}

.icon-cart:active{
    opacity: 20%;
}

.icon-cart svg{
    width: 20px;
}

.icon-cart span{
    position: absolute;
    background-color: red;
    width: 20px;
    height: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 50%;
    color: #fff;
    top: 40%;
    right: -10px;
}

/* Header section */




#slider {
  position: relative;
  width: 100%;
  height: 70vh;
  overflow: hidden;
  z-index: 0;
}

/* Each slide */
.slide {
  position: absolute;
  width: 100%;
  height: 100%;
  opacity: 0;
  transform: scale(1.05); /* slight zoom */
  transition: opacity 1s ease, transform 1s ease;
}

/* Active slide */
.slide.active {
  opacity: 1;
  transform: scale(1); /* zoom back to normal */
  z-index: 1;
}

/* image */
.slide img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

/* Dark overlay (makes text readable) */
.slide::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background: rgba(0,0,0,0.4);
}

/* Text content */
.slide-content {
  position: absolute;
  top: 50%;
  left: 10%;
  transform: translateY(-50%) translateX(-50px);
  opacity: 0;
  color: #fff;
  z-index: 2;
  transition: all 1s ease;
}

.slide.active .slide-content {
  transform: translateY(-50%) translateX(0);
  opacity: 1;
}

.slide-content h1 {
  font-size: 5rem;
}

.slide-content p {
  font-size: 2rem;
  margin: 1rem 0;
}

.slide-content button {
  padding: 10px 20px;
  background: var(--primary);
  border: none;
  color: #fff;
  cursor: pointer;
  font-size: 1.6rem;
  background-color: #ff4800;
  border-radius: 30px;
}

/* Navigation buttons */
.prev, .next {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 3rem;
  background: rgba(0,0,0,0.5);
  color: white;
  border: none;
  padding: 10px;
  cursor: pointer;
  z-index: 3;
}

.prev {
  left: 20px;
  border-radius: 100px;
}


.next {
  right: 20px;
  border-radius: 100px;
}


.section1{
  width: 100%;
  height: 80vh;
  background-color: #fffed4;
}

.section1 .container1{
  position: relative;
  display: flex;
  top: -10%;
  z-index: 1;
}

.section1 .container1 .left-side{
  flex-basis: 50%;
  padding: 5% 5%;
  margin: auto;
}

.section1 .container1 .left-side img{
  width: 450px;
  height: 220px;
  border-radius: 30px;
  margin-left: 20%;
}

.section1 .container1 .right-side{
  flex-basis: 50%;
  padding: 5% 5%;
  margin: auto;
}

.section1 .container1 .right-side .content1{
  position: relative;
  background-image: url(image/foodplater1.jpg);
  background-position: top;
  background-size: cover;
  width: 450px;
  height: 220px;
  border-radius: 30px;
  margin-left: -9%;
  padding: 5% 5%;
}

.section1 .container1 .right-side .content1 .content-head1{
  font-size: 30px;
  text-transform: uppercase;
  margin-top: 1rem;
}

.section1 .container1 .right-side .content1 .redline{
  position: relative;
  background-color: #db0000;
  width: 50px;
  height: 3px;
  margin-bottom: 1rem;
  margin-left: 2rem;
  top: -4%;
  margin-top: 0;
}

.section1 .container1 .right-side .content1 .content-text1{
  font-size: 10px;
  padding-right: 55%;
  line-height: 20px;
}


.section1 .container2{
  position: relative;
  display: flex;
  padding: 0% 5%;
  padding-left: 10%;
  top: -3%;
}

.section1 .container2 .left-side2{
  flex-basis: 50%;
}

.section1 .container2 .left-side2 img{
  width: 500px;
  margin: auto;
}



.section1 .container2 .right-side2{
  flex-basis: 50%;
}

.section1 .container2 .right-side2 h3{
  color: #db0000;
  font-size: 10px;
  text-transform: uppercase;
  margin-bottom: 2rem;
}

.section1 .container2 .right-side2 h1{
  text-transform: uppercase;
  font-size: 40px;
  line-height: 40px;
  margin-bottom: 3rem;
}

.section1 .container2 .right-side2 p{
  font-size: 8px;
  padding-right: 40%;
  line-height: 18px;
  margin-bottom: 6rem;
}

.section1 .container2 .right-side2 .content2{
  display: flex;
}


.section1 .container2 .right-side2 .content2 .box-icon1 .icon img{
  width: 40px;
}

.section1 .container2 .right-side2 .content2 .box-icon1 .icon-text p{
  font-size: 8px;
  text-align: left;
  text-transform: uppercase;
  font-weight: bold;
  line-height: 12px;
}







:root {
  --primary: #f19d00;
  --white: white;
  --bg: #fffed4;
}

html {
  font-size: 62.5%;
  font-family: "Montserrat", sans-serif;
  scroll-behavior: smooth;
}

@media (min-width: 1440px) {
  html {
    zoom: 1.5;
  }
}

@media (min-width: 2560px) {
  html {
    zoom: 1.7;
  }
}

@media (min-width: 3860px) {
  html {
    zoom: 2.5;
  }
}

::-webkit-scrollbar {
  width: 1.3rem;
}

::-webkit-scrollbar-thumb {
  border-radius: 1rem;
  background: #797979;
  transition: all 0.5s ease-in-out;
}

::-webkit-scrollbar-thumb:hover {
  background: #222224;
}

::-webkit-scrollbar-track {
  background: #f9f9f9;
}

body {
  font-size: 1.6rem;
  background: var(--bg);
}

.container {
  max-width: 124rem;
  padding: 0 1rem;
  margin: 0 auto;
}

.text-center {
  text-align: center;
}

.section-heading {
  font-size: 3rem;
  color: var(--primary);
  padding: 2rem 0;
}

#tranding {
  padding: 4rem 0;
}

@media (max-width:1440px) {
  #tranding {
    padding: 7rem 0;
  }
}

#tranding .tranding-slider {
  height: 50rem;
  padding: 2rem 0;
  position: relative;
}

@media (max-width:500px) {
  #tranding .tranding-slider {
    height: 45rem;
  }
}

.tranding-slide {
  width: 37rem;
  height: 42rem;
  position: relative;
}

@media (max-width:500px) {
  .tranding-slide {
    width: 28rem !important;
    height: 36rem !important;
  }
  .tranding-slide .tranding-slide-img img {
    width: 28rem !important;
    height: 36rem !important;
  }
}

.tranding-slide .tranding-slide-img img {
  width: 37rem;
  height: 42rem;
  border-radius: 2rem;
  object-fit: cover;
}

.tranding-slide .tranding-slide-content {
  position: absolute;
  left: 0;
  top: 0;
  right: 0;
  bottom: 0;
}

.tranding-slide-content .food-price {
  position: absolute;
  top: 2rem;
  right: 2rem;
  color: var(--white);
}

.tranding-slide-content .tranding-slide-content-bottom {
  position: absolute;
  bottom: 2rem;
  left: 2rem;
  color: var(--white);
}

.food-rating {
  padding-top: 1rem;
  display: flex;
  gap: 1rem;
}

.rating ion-icon {
  color: var(--primary);
}

.swiper-slide-shadow-left,
.swiper-slide-shadow-right {
  display: none;
}

.tranding-slider-control {
  position: relative;
  bottom: 2rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.tranding-slider-control .swiper-button-next {
  left: 58% !important;
  transform: translateX(-58%) !important;
}

@media (max-width:990px) {
  .tranding-slider-control .swiper-button-next {
    left: 70% !important;
    transform: translateX(-70%) !important;
  }
}

@media (max-width:450px) {
  .tranding-slider-control .swiper-button-next {
    left: 80% !important;
    transform: translateX(-80%) !important;
  }
}

@media (max-width:990px) {
  .tranding-slider-control .swiper-button-prev {
    left: 30% !important;
    transform: translateX(-30%) !important;
  }
}

@media (max-width:450px) {
  .tranding-slider-control .swiper-button-prev {
    left: 20% !important;
    transform: translateX(-20%) !important;
  }
}

.tranding-slider-control .slider-arrow {
  background: var(--white);
  width: 3.5rem;
  height: 3.5rem;
  border-radius: 50%;
  left: 42%;
  transform: translateX(-42%);
  filter: drop-shadow(0px 8px 24px rgba(18, 28, 53, 0.1));
  background-color: #fffed4;
}

.tranding-slider-control .slider-arrow ion-icon {
  font-size: 2rem;
  color: #222224;
}

.tranding-slider-control .slider-arrow::after {
  content: '';
}

.tranding-slider-control .swiper-pagination {
  position: relative;
  width: 15rem;
  bottom: 1rem;
}

.tranding-slider-control .swiper-pagination .swiper-pagination-bullet {
  filter: drop-shadow(0px 8px 24px rgba(18, 28, 53, 0.1));
}

.tranding-slider-control .swiper-pagination .swiper-pagination-bullet-active {
  background: var(--primary);
}

/* .section3{
  background-color: #db0000;
  width: 100%;
  height: 50vh;
  display: flex;
}

.section3 .left-side3{
  flex-basis: 50%;
  padding-left: 10%;
 
}

.section3 .left-side3 h2{
  color: white;
  font-size: 100px;
   text-transform: uppercase;
}

.section3 .left-side3 h1{
  color: white;
  font-size: 100px;
   text-transform: uppercase;
}

.section3 .right-side3{
  flex-basis: 50%;
}

.section3 .right-side3 img{
  width: 600px;
} */


#reviews {
  padding: 80px 20px;
  background-color: #fffed4;
  height: 70vh;
}

.reviews-wrapper {
  max-width: 1100px;
  margin: auto;
}

/* ===== SUMMARY ===== */
.reviews-summary {
  display: grid;
  grid-template-columns: 2fr 1fr 1fr;
  gap: 30px;
  margin-bottom: 50px;
  align-items: center;
}

.rating-bars .bar {
  display: flex;
  align-items: center;
  gap: 10px;
  margin-bottom: 8px;
}

.progress {
  flex: 1;
  height: 6px;
  background: #ddd;
  border-radius: 10px;
  overflow: hidden;
}

.progress div {
  height: 100%;
  background: #ffb400;
}

.rating-average, .rating-recent {
  text-align: center;
}

.rating-average h1,
.rating-recent h1 {
  font-size: 40px;
  margin: 0;
}

.stars {
  color: #ffb400;
  font-size: 18px;
  margin: 5px 0;
}

/* ===== REVIEW CARDS ===== */
.reviews-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
  gap: 25px;
}

.review-card {
  background-color: #fffed4;
  padding: 25px;
  border-radius: 15px;
  text-align: center;
  box-shadow: 0 5px 15px rgba(0,0,0,0.08);
  transition: 0.3s;
  width: 300px; /* controls slide size */
}

.review-card:hover {
  transform: translateY(-8px);
}

.review-card img {
  width: 70px;
  height: 70px;
  border-radius: 50%;
  margin-bottom: 10px;
}

.review-card p {
  font-size: 14px;
  color: #666;
  margin: 10px 0;
}

.review-card h4 {
  margin: 0;
  font-size: 15px;
}

/* Fade-in base */
.fade-in {
  opacity: 0;
  transform: translateY(60px) scale(0.95);
  transition: all 0.8s ease;
}

.fade-in.show {
  opacity: 1;
  transform: translateY(0) scale(1);
}

.reviews-slider .swiper-wrapper {
  transition-timing-function: linear !important;
}

.swiper-slide {
  width: auto;
}

hr {
  background-color: #fff;
  padding: 0;
  margin: 80px;
}

hr.hr-1 {
  border: 0;
  height: 1px;
  background-image: linear-gradient(to right, rgba(0, 0, 0, 0), rgba(0, 0, 0, 0.75), rgba(0, 0, 0, 0));
}

/* ===== MOBILE ===== */
@media (max-width: 768px) {
  .reviews-summary {
    grid-template-columns: 1fr;
    text-align: center;
  }
}


/* ===== PARTNERS ===== */
/* ===== PARTNERS ===== */
.partners-section {
  background: #e7dfb5;
  text-align: center;
  padding-top: 3%;
  border-radius: 20px 20px 0 0;
  bottom: 0;
}

.partners-section2 {
  background: #e7dfb5;
  text-align: center;
  padding-top: 3%;
  border-radius: 20px 20px 0 0;
  bottom: 0;
}

.partners-section h2 {
  font-size: 28px;
  margin-bottom: 10px;
}

.partner-btn {
  padding: 8px 18px;
  border-radius: 20px;
  border: none;
  background: #cce5c1;
  cursor: pointer;
  margin-bottom: 30px;
}

.partners-slider {
  display: flex;
  gap: 20px;
  overflow-x: auto;
  padding: 10px;
  justify-content: center;
  margin-bottom: 5rem;
}

.partners-slider img{
  min-width: 150px;
  height: 100px;
  background: #0c5a3c;
  color: #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 15px;
  font-weight: bold;
}


/* ===== FOOTER ===== */
.main-footer {
  position: relative;
  padding: 20px 20px;
  border-radius: 30px 30px 0 0;
  background-color: rgb(34, 34, 34);
  backdrop-filter: blur(15px);
  -webkit-backdrop-filter: blur(15px);
  color: #fff;
  overflow: hidden;
  bottom: 0;
  height: 38vh;
  z-index: 0;
}

/* Map line pattern overlay */
.footer-overlay {
  position: absolute;
  inset: 0;
  background-image: url(image/footerimage.jpg);
  background-position: center;
  background-size: cover;
  opacity: 20%;
  pointer-events: none;
}

/* Layout */
.footer-container {
  position: relative;
  display: grid;
  grid-template-columns: 1fr 2fr 1fr;
  gap: 30px;
  align-items: center;
}

/* Center */

.footer-left{
  text-align: left;
  padding-left: 10%;
  padding-top: 50%;
}

.footer-left h3{
  font-size: 15px;
  font-weight: normal;
  margin-bottom: 1rem;
  color: #fffed4;
}

.footer-left p{
  font-size: 10px;
  color: #fffed4;
  line-height: 20px;
}

.footer-left .socials{
  display: flex;
  width: 30%;
  justify-content: space-between;
  margin-top: 2rem;
}

.footer-left .socials img{
  width: 18px;
}

.footer-left .socials a img:hover{
  background-color: none;
  color: none;
  outline: none;
  box-shadow: none;
}

.footer-right{
  text-align: right;
  padding-right: 10%;
  padding-top: 30%;
}

.footer-right h3{
  font-size: 15px;
  font-weight: normal;
  margin-bottom: 1rem;
  color: #fffed4;
}

.footer-right p{
  font-size: 10px;
  color: #fffed4;
  line-height: 20px;
}

.footer-center {
  text-align: center;
  color: #fffed4;
}

.footer-center h1{
  font-size: 40px;
  font-weight: normal;
}

.footer-center p{
  font-size: 15px;
  font-weight: lighter;
}

.footer-center .logo {
  
}

.footer-center .logo img{
  width: 200px;
}

.footer-buttons {
  margin-top: 20px;
}

.btn-green {
  background: #00c853;
  border: none;
  padding: 10px 18px;
  margin: 5px;
  border-radius: 25px;
  color: #fff;
  cursor: pointer;
}

.btn-outline {
  background: transparent;
  border: 1px solid #00c853;
  padding: 10px 18px;
  margin: 5px;
  border-radius: 25px;
  color: #00c853;
  cursor: pointer;
}

/* Bottom */
.footer-bottom {
  position: relative;
  display: flex;
  justify-content: center;
  gap: 20px;
  margin-top: 10px;
  font-size: 10px;
  color: #aaa;
  z-index: 2;
}


@keyframes spin {
  100% {
    transform: rotate(360deg);
  }
}

/* Mobile */
@media (max-width: 768px) {

  .nav-links{
    display: none;
  }

  .nav-logo{
    position: relative;
    margin-left: -35%;
  }

  .order-btn{
    position: relative;
    left: 0%;
  }

  .prev, .next{
    top: 80%;
  }

  .prev{
    left: 2%;
  }

  .next{
    right: 2%;
  }

  .section1 .container1{
    flex-direction: column;
    top: 0;
  }

  .section1 .container1 .left-side img{
  width: 300px;
  height: 150px;
  border-radius: 30px;
  margin-left: 0%;
}

.section1 .container1 .right-side .content1{
  position: relative;
  background-image: url(image/foodplater1.jpg);
  background-position: top;
  background-size: cover;
  width: 300px;
  height: 150px;
  border-radius: 30px;
  margin-left: 3%;
  padding: 5% 5%;
}

.section1 .container1 .right-side{
  margin: auto;
}


.section1 .container1 .right-side .content1 .content-text1{
  font-size: 8px;
  padding-right: 55%;
  line-height: 12px;
}

.section1 .container1 .right-side .content1{
  margin-left: 0;
}

.section1 .container2 .left-side2 img{
  width: 300px;
  margin: auto;
  margin-top: 15%;
  margin-bottom: 10%;
}

.section1 .container2 .right-side2 h1{
  font-size: 25px;
  line-height: 25px;
}

.section1 .container2 .right-side2 p{
  font-size: 10px;
  padding-right: 10%;
}

.trending{
  position: relative;
  margin-top: 450px;
}


hr{
  display: none;
}

.partners-section{
  margin-top: 100%;
}

.section1 .container2{
  flex-direction: column;
}

.main-footer{
  height: 100%;
}

.footer-left{
padding-top: 20%;
padding-left: 0;
text-align: center;
}

.footer-left .socials img{
  width: 30px;
}

.footer-left .socials{
  width: 100%;
  padding: 0% 30%;
  margin-bottom: 10%;
}

.footer-right{
  display: none;
}

  .footer-container {
    grid-template-columns: 1fr;
    text-align: center;
  }

  .footer-bottom{
    margin-top: 30px;
  }

  .partners-slide img {
    height: 60px;
  }
}






@media (min-width: 769px) and (max-width: 1024px) {

  /* ===== HEADER ===== */
  header {
    padding-left: 20px;
    padding-right: 20px;
    height: 60px;
  }

  .order-btn{
    position: relative;
    left: 150px;
  }

  .nav-logo h2 {
    font-size: 2rem;
    position: relative;
    left: 50px;
  }

  .nav-links {
    display: none; /* keep clean on tablet */
  }

  /* ===== SLIDER ===== */
  #slider {
    height: 60vh;
  }

  .slide-content h1 {
    font-size: 3.5rem;
  }

  .slide-content p {
    font-size: 1.6rem;
  }

  .section1 .container1{
    width: 100%;
  }

  .section1 .container1 .left-side img{
    margin-left: -3%;
  }

  .section1 .container1 .right-side .content1{
    margin-left: -15%;
  }

  .section1 .container2{
    padding-left: 3%;
    padding-top: 5%;
  }

  #tranding {
    padding: 0;
  }

  #reviews{
    padding-top: 15%;
  }

  .swiper-slide{
    padding-top: 5%;
  }

 
 

  /* ===== PRODUCT GRID ===== */
  /* .section2 .listProduct {
    grid-template-columns: repeat(2, 1fr);
    width: 95%;
    gap: 20px;
  } */

}


@media (min-width: 1025px) and (max-width: 1440px) {
  /* MacBook Air & small laptops */

  #tranding {
    padding-top: 15%;
  }
}